Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/CovarianceProdView.Designer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/CovarianceProdView.Designer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/CovarianceProdView.Designer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/CovarianceProdView.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/CovarianceProdView.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/CovarianceProdView.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/CovarianceSumView.Designer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/CovarianceSumView.Designer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/CovarianceSumView.Designer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/CovarianceSumView.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/CovarianceSumView.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/CovarianceSumView.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/CrossValidationView.Designer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/CrossValidationView.Designer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/CrossValidationView.Designer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -172,7 +172,7 @@
       // foldsNumericUpDown
       // 
-      this.foldsNumericUpDown.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.foldsNumericUpDown.Location = new System.Drawing.Point(55, 26);
+      this.foldsNumericUpDown.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.foldsNumericUpDown.Location = new System.Drawing.Point(55, 27);
       this.foldsNumericUpDown.Maximum = new decimal(new int[] {
             50,
@@ -186,5 +186,5 @@
             0});
       this.foldsNumericUpDown.Name = "foldsNumericUpDown";
-      this.foldsNumericUpDown.Size = new System.Drawing.Size(154, 20);
+      this.foldsNumericUpDown.Size = new System.Drawing.Size(248, 20);
       this.foldsNumericUpDown.TabIndex = 3;
       this.foldsNumericUpDown.ThousandsSeparator = true;
@@ -208,7 +208,7 @@
       // workersNumericUpDown
       // 
-      this.workersNumericUpDown.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.workersNumericUpDown.Location = new System.Drawing.Point(55, 0);
+      this.workersNumericUpDown.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.workersNumericUpDown.Location = new System.Drawing.Point(55, 1);
       this.workersNumericUpDown.Maximum = new decimal(new int[] {
             50,
@@ -262,5 +262,5 @@
       // samplesEndStringConvertibleValueView
       // 
-      this.samplesEndStringConvertibleValueView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.samplesEndStringConvertibleValueView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.samplesEndStringConvertibleValueView.Caption = "StringConvertibleValue View";
@@ -275,5 +275,5 @@
       // samplesStartStringConvertibleValueView
       // 
-      this.samplesStartStringConvertibleValueView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.samplesStartStringConvertibleValueView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.samplesStartStringConvertibleValueView.Caption = "StringConvertibleValue View";
@@ -289,6 +289,6 @@
       // 
       this.tabControl.AllowDrop = true;
-      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
+      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.tabControl.Controls.Add(this.algorithmTabPage);
@@ -321,5 +321,5 @@
       // algorithmNamedItemView
       // 
-      this.algorithmNamedItemView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.algorithmNamedItemView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.algorithmNamedItemView.Caption = "NamedItem View";
@@ -334,6 +334,6 @@
       // 
       this.algorithmTabControl.AllowDrop = true;
-      this.algorithmTabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
+      this.algorithmTabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.algorithmTabControl.Controls.Add(this.algorithmProblemTabPage);
@@ -375,6 +375,6 @@
       // algorithmProblemViewHost
       // 
-      this.algorithmProblemViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
+      this.algorithmProblemViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.algorithmProblemViewHost.Caption = "View";
@@ -517,5 +517,5 @@
       // splitContainer
       // 
-      this.splitContainer.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.splitContainer.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.splitContainer.Location = new System.Drawing.Point(0, 26);
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/CrossValidationView.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/CrossValidationView.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/CrossValidationView.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GaussianProcessModelView.Designer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GaussianProcessModelView.Designer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GaussianProcessModelView.Designer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GaussianProcessModelView.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GaussianProcessModelView.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GaussianProcessModelView.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GradientBoostedTreesModelEvaluationView.Designer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GradientBoostedTreesModelEvaluationView.Designer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GradientBoostedTreesModelEvaluationView.Designer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GradientBoostedTreesModelEvaluationView.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GradientBoostedTreesModelEvaluationView.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GradientBoostedTreesModelEvaluationView.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GradientBoostedTreesModelView.Designer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GradientBoostedTreesModelView.Designer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GradientBoostedTreesModelView.Designer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -45,34 +45,61 @@
     /// </summary>
     private void InitializeComponent() {
+      this.groupBoxVisualisation = new System.Windows.Forms.GroupBox();
       this.viewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
-      this.listBox = new System.Windows.Forms.ListBox();
+      this.listView = new System.Windows.Forms.ListView();
+      this.columnHeader = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+      this.groupBoxVisualisation.SuspendLayout();
       this.SuspendLayout();
+      // 
+      // groupBoxVisualisation
+      // 
+      this.groupBoxVisualisation.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.groupBoxVisualisation.Controls.Add(this.viewHost);
+      this.groupBoxVisualisation.Location = new System.Drawing.Point(169, 3);
+      this.groupBoxVisualisation.Name = "groupBoxVisualisation";
+      this.groupBoxVisualisation.Size = new System.Drawing.Size(177, 277);
+      this.groupBoxVisualisation.TabIndex = 2;
+      this.groupBoxVisualisation.TabStop = false;
+      this.groupBoxVisualisation.Text = "Representation";
       // 
       // viewHost
       // 
-      this.viewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
       this.viewHost.Caption = "View";
       this.viewHost.Content = null;
+      this.viewHost.Dock = System.Windows.Forms.DockStyle.Fill;
       this.viewHost.Enabled = false;
-      this.viewHost.Location = new System.Drawing.Point(126, 3);
+      this.viewHost.Location = new System.Drawing.Point(3, 16);
       this.viewHost.Name = "viewHost";
       this.viewHost.ReadOnly = false;
-      this.viewHost.Size = new System.Drawing.Size(220, 277);
+      this.viewHost.Size = new System.Drawing.Size(171, 258);
       this.viewHost.TabIndex = 0;
       this.viewHost.ViewsLabelVisible = true;
       this.viewHost.ViewType = null;
       // 
-      // listBox
+      // listView
       // 
-      this.listBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+      this.listView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
             | System.Windows.Forms.AnchorStyles.Left)));
-      this.listBox.Location = new System.Drawing.Point(3, 3);
-      this.listBox.Name = "listBox";
-      this.listBox.Size = new System.Drawing.Size(117, 277);
-      this.listBox.TabIndex = 1;
-      this.listBox.SelectedIndexChanged += new System.EventHandler(this.listBox_SelectedIndexChanged);
-      this.listBox.DoubleClick += new System.EventHandler(this.listBox_DoubleClick);
+      this.listView.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
+            this.columnHeader});
+      this.listView.FullRowSelect = true;
+      this.listView.HeaderStyle = System.Windows.Forms.ColumnHeaderStyle.None;
+      this.listView.LabelWrap = false;
+      this.listView.Location = new System.Drawing.Point(3, 9);
+      this.listView.MultiSelect = false;
+      this.listView.Name = "listView";
+      this.listView.ShowGroups = false;
+      this.listView.Size = new System.Drawing.Size(160, 271);
+      this.listView.TabIndex = 1;
+      this.listView.UseCompatibleStateImageBehavior = false;
+      this.listView.View = System.Windows.Forms.View.Details;
+      this.listView.SelectedIndexChanged += new System.EventHandler(this.listView_SelectedIndexChanged);
+      this.listView.DoubleClick += new System.EventHandler(this.listView_DoubleClick);
+      // 
+      // columnHeader
+      // 
+      this.columnHeader.Width = 130;
       // 
       // GradientBoostedTreesModelView
@@ -80,8 +107,9 @@
       this.AllowDrop = true;
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
-      this.Controls.Add(this.viewHost);
-      this.Controls.Add(this.listBox);
+      this.Controls.Add(this.groupBoxVisualisation);
+      this.Controls.Add(this.listView);
       this.Name = "GradientBoostedTreesModelView";
       this.Size = new System.Drawing.Size(349, 289);
+      this.groupBoxVisualisation.ResumeLayout(false);
       this.ResumeLayout(false);
 
@@ -91,9 +119,7 @@
 
     private MainForm.WindowsForms.ViewHost viewHost;
-    private System.Windows.Forms.ListBox listBox;
-
-
-
-
+    private System.Windows.Forms.ListView listView;
+    private System.Windows.Forms.GroupBox groupBoxVisualisation;
+    private System.Windows.Forms.ColumnHeader columnHeader;
   }
 }
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GradientBoostedTreesModelView.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GradientBoostedTreesModelView.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/GradientBoostedTreesModelView.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,9 +20,13 @@
 #endregion
 
+using System;
+using System.Diagnostics;
+using System.Linq;
+using System.Windows.Forms;
 using HeuristicLab.Common;
 using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
 using HeuristicLab.MainForm.WindowsForms;
-using HeuristicLab.Problems.DataAnalysis;                  
+using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.Algorithms.DataAnalysis.Views {
@@ -30,19 +34,23 @@
   [Content(typeof(IGradientBoostedTreesModel), true)]
   public partial class GradientBoostedTreesModelView : ItemView {
-
+    #region Getter/Setter
     public new IGradientBoostedTreesModel Content {
       get { return (IGradientBoostedTreesModel)base.Content; }
       set { base.Content = value; }
     }
+    #endregion
 
-    protected override void SetEnabledStateOfControls() {
-      base.SetEnabledStateOfControls();
-      listBox.Enabled = Content != null;
-      viewHost.Enabled = Content != null;
-    }
-
+    #region Ctor
     public GradientBoostedTreesModelView()
       : base() {
       InitializeComponent();
+    }
+    #endregion
+
+    #region Events
+    protected override void SetEnabledStateOfControls() {
+      base.SetEnabledStateOfControls();
+      listView.Enabled = Content != null;
+      viewHost.Enabled = Content != null;
     }
 
@@ -51,37 +59,47 @@
       if (Content == null) {
         viewHost.Content = null;
-        listBox.Items.Clear();
+        listView.Items.Clear();
       } else {
         viewHost.Content = null;
-        listBox.Items.Clear();
-        foreach (var e in Content.Models) {
-          listBox.Items.Add(e);
-        }
+        listView.BeginUpdate();
+        listView.Items.Clear();
+        int i = 1;
+        listView.Items.AddRange(
+          new ListViewItem(Content.Models.First().ToString()) { Tag = Content.Models.First() }.ToEnumerable()
+          .Union(Content.Models.Skip(1).Select(v => new ListViewItem("Model " + i++) { Tag = v }))
+          .ToArray()
+        );
+        listView.EndUpdate();
       }
     }
 
-    private void listBox_SelectedIndexChanged(object sender, System.EventArgs e) {
-      var model = listBox.SelectedItem;
-      if (model == null) viewHost.Content = null;
-      else {
-        viewHost.Content = ConvertModel(model);
+
+    private void listView_SelectedIndexChanged(object sender, EventArgs e) {
+      if (listView.SelectedItems.Count == 1) {
+        var item = listView.SelectedItems[0];
+        viewHost.Content = ConvertModel(item);
       }
     }
 
-    private void listBox_DoubleClick(object sender, System.EventArgs e) {
-      var selectedItem = listBox.SelectedItem;
-      if (selectedItem == null) return;
-      MainFormManager.MainForm.ShowContent(ConvertModel(selectedItem));
-    }
-
-    private IContent ConvertModel(object model) {
-      var treeModel = model as RegressionTreeModel;
-      if (treeModel != null)
-        return treeModel.CreateSymbolicRegressionModel();
-      else {
-        var regModel = model as IRegressionModel;
-        return regModel;
+    private void listView_DoubleClick(object sender, EventArgs e) {
+      if (listView.SelectedItems.Count == 1) {
+        var item = listView.SelectedItems[0];
+        var content = ConvertModel(item);
+        if (content != null) { MainFormManager.MainForm.ShowContent(content); }
       }
     }
+    #endregion
+
+    #region Helper Methods
+    private IContent ConvertModel(ListViewItem item) {
+      if (item.Tag is RegressionTreeModel) {
+        return (item.Tag as RegressionTreeModel).CreateSymbolicRegressionModel();
+      } else if (item.Tag is IRegressionModel) {
+        return item.Tag as IRegressionModel;
+      } else {
+        return null;
+      }
+    }
+    #endregion
   }
 }
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/KMeansClusteringModelView.Designer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/KMeansClusteringModelView.Designer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/KMeansClusteringModelView.Designer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/KMeansClusteringModelView.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/KMeansClusteringModelView.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/KMeansClusteringModelView.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/MeanProdView.Designer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/MeanProdView.Designer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/MeanProdView.Designer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/MeanProdView.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/MeanProdView.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/MeanProdView.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/MeanSumView.Designer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/MeanSumView.Designer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/MeanSumView.Designer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/MeanSumView.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/MeanSumView.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/MeanSumView.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/NcaDimensionReductionView.Designer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/NcaDimensionReductionView.Designer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/NcaDimensionReductionView.Designer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/NcaDimensionReductionView.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/NcaDimensionReductionView.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/NcaDimensionReductionView.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/OneFactorClassificationModelView.Designer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/OneFactorClassificationModelView.Designer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/OneFactorClassificationModelView.Designer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/OneFactorClassificationModelView.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/OneFactorClassificationModelView.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/OneFactorClassificationModelView.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/OneRClassificationModelView.Designer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/OneRClassificationModelView.Designer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/OneRClassificationModelView.Designer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/OneRClassificationModelView.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/OneRClassificationModelView.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/OneRClassificationModelView.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/Plugin.cs.frame
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/Plugin.cs.frame	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/Plugin.cs.frame	(revision 16311)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
   /// Plugin class for HeuristicLab.Algorithms.DataAnalysis.Views plugin.
   /// </summary>
-  [Plugin("HeuristicLab.Algorithms.DataAnalysis.Views", "Provides views for data analysis algorithms implemented in external libraries (linear regression, linear discriminant analysis, k-means clustering, support vector classification and regression)", "3.4.10.$WCREV$")]
+  [Plugin("HeuristicLab.Algorithms.DataAnalysis.Views", "Provides views for data analysis algorithms implemented in external libraries (linear regression, linear discriminant analysis, k-means clustering, support vector classification and regression)", "3.4.11.$WCREV$")]
   [PluginFile("HeuristicLab.Algorithms.DataAnalysis.Views-3.4.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Algorithms.DataAnalysis", "3.4")]
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/Properties/AssemblyInfo.cs.frame	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/Properties/AssemblyInfo.cs.frame	(revision 16311)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -31,5 +31,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2016 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2018 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -53,3 +53,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.4.0.0")]
-[assembly: AssemblyFileVersion("3.4.10.$WCREV$")]
+[assembly: AssemblyFileVersion("3.4.11.$WCREV$")]
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/RandomForestModelEvaluationView.Designer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/RandomForestModelEvaluationView.Designer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/RandomForestModelEvaluationView.Designer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/RandomForestModelEvaluationView.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/RandomForestModelEvaluationView.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/RandomForestModelEvaluationView.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/RandomForestModelView.Designer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/RandomForestModelView.Designer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/RandomForestModelView.Designer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/RandomForestModelView.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/RandomForestModelView.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/RandomForestModelView.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/SupportVectorMachineModelSupportVectorsView.Designer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/SupportVectorMachineModelSupportVectorsView.Designer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/SupportVectorMachineModelSupportVectorsView.Designer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/SupportVectorMachineModelSupportVectorsView.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/SupportVectorMachineModelSupportVectorsView.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/SupportVectorMachineModelSupportVectorsView.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/SupportVectorMachineModelView.Designer.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/SupportVectorMachineModelView.Designer.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/SupportVectorMachineModelView.Designer.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/SupportVectorMachineModelView.cs
===================================================================
--- branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/SupportVectorMachineModelView.cs	(revision 16308)
+++ branches/2845_EnhancedProgress/HeuristicLab.Algorithms.DataAnalysis.Views/3.4/SupportVectorMachineModelView.cs	(revision 16311)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
